%global pypi_name build

Name:           python-%{pypi_name}
Version:        0.1.0
Release:        2%{?dist}
Summary:        Simple, correct PEP517 package builder

License:        MIT
URL:            https://github.com/pypa/build
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
build will invoke the PEP 517 hooks to build a distribution package. It is a
simple build tool and does not perform any dependency management.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
build will invoke the PEP 517 hooks to build a distribution package. It is a
simple build tool and does not perform any dependency management.

%{?python_extras_subpkg:%python_extras_subpkg -n python3-%{pypi_name} -i %{python3_sitelib}/*.egg-info typing}

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/pyproject-build
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Sun Jan 24 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.0-2
- Switch to pyproject-rpm-macros (#1910392)

* Wed Dec 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.0-1
- Initial package for Fedora
